﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Entities;

namespace ZhonTai.Admin.Domain.Banner
{
    /// <summary>
    /// 数据字典
    /// </summary>
    [Table(Name = "ditui_banner")]    
    public class BannerEntity:EntityTenant
    {
        /// <summary>
        /// 活动名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 跳转方式
        /// </summary>
        public int SkipWay { get; set; }
        /// <summary>
        /// 跳转参数 1:文章Id,2项目Id
        /// </summary>
        public string SkipContent { get; set; }
        /// <summary>
        /// 活动图片
        /// </summary>
        public string ImgUrl { get; set; }
        ///// <summary>
        ///// 开始时间
        ///// </summary>
        //public DateTime? BeginTime { get; set; }
        ///// <summary>
        ///// 结束时间
        ///// </summary>
        //public DateTime? EndTime { get; set; }
        /// <summary>
        /// 排序 数值越大越靠前
        /// </summary>
        public int Rank { get; set; }
        /// <summary>
        /// 状态 0待上架 1上架 2下架
        /// </summary>
        public int Status { get; set; } = 0;
    }
}
